"use client"

import useSWR from 'swr'

export const fetcher = (...args) => fetch(...args).then(res => res.json()) // @ts-ignore


export function useUser (id: number) {
  const { data, error, isLoading } = useSWR(`/api/waiters/${id}`, fetcher)
 
  return {
    user: data,
    isLoading,
    isError: error
  }
}